org.activiti.engine.delegate.event.impl

## Class ActivitiMembershipEventImpl

- java.lang.Object
- - org.activiti.engine.delegate.event.impl.ActivitiEventImpl
  - - org.activiti.engine.delegate.event.impl.ActivitiMembershipEventImpl

- All Implemented Interfaces:
    ActivitiEvent, ActivitiMembershipEvent

      public class ActivitiMembershipEventImpl
      extends ActivitiEventImpl
      implements ActivitiMembershipEvent

  Implementation of `ActivitiMembershipEvent`.
  Author:
    Frederik Heremans

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `groupId`
    `protected String` | `userId`

    - ### Fields inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `executionId, processDefinitionId, processInstanceId, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivitiMembershipEventImpl(ActivitiEventType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGroupId()`
    `String` | `getUserId()`
    `void` | `setGroupId(String groupId)`
    `void` | `setUserId(String userId)`

    - ### Methods inherited from class org.activiti.engine.delegate.event.impl.ActivitiEventImpl

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.activiti.engine.delegate.event.ActivitiEvent

      `getEngineServices, getExecutionId, getProcessDefinitionId, getProcessInstanceId, getType`

- - ### Field Detail

    - #### userId

          protected String userId

    - #### groupId

          protected String groupId

  - ### Constructor Detail

    - #### ActivitiMembershipEventImpl

          public ActivitiMembershipEventImpl(ActivitiEventType type)

  - ### Method Detail

    - #### setUserId

          public void setUserId(String userId)

    - #### getUserId

          public String getUserId()

      Specified by:
        `getUserId` in interface `ActivitiMembershipEvent`
      Returns:
        related user. Returns null, if not related to a sigle user but rather to all members of the group.

    - #### setGroupId

          public void setGroupId(String groupId)

    - #### getGroupId

          public String getGroupId()

      Specified by:
        `getGroupId` in interface `ActivitiMembershipEvent`
      Returns:
        related group

Copyright © 2016 Alfresco. All rights reserved.